src/base/cs_wall_functions.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_wall_functions.c File Reference
`#include "cs_config.h"`
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <string.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include <float.h>`
`#include <mpi.h>`
`#include <bft_error.h>`
`#include <bft_mem.h>`
`#include <bft_printf.h>`
`#include "cs_log.h"`
`#include "cs_mesh.h"`
`#include "cs_wall_functions.h"`
Include dependency graph for cs_wall_functions.c:

## Functions
void | wallfunctions (const cs_int_t *const iwallf, const cs_int_t *const ifac, const cs_real_t *const xkappa, const cs_real_t *const cstlog, const cs_real_t *const cmu025, const cs_real_t *const ypluli, const cs_real_t *const apow, const cs_real_t *const bpow, const cs_real_t *const dpow, const cs_real_t *const l_visc, const cs_real_t *const t_visc, const cs_real_t *const vel, const cs_real_t *const y, const cs_real_t *const kinetic_en, cs_int_t *iuntur, cs_int_t *nsubla, cs_int_t *nlogla, cs_real_t *ustar, cs_real_t *uk, cs_real_t *yplus, cs_real_t *ypup, cs_real_t *cofimp, cs_real_t *dplus)

## Function Documentation

void wallfunctions | ( | const cs_int_t *const | iwallf,
|  | const cs_int_t *const | ifac,
|  | const cs_real_t *const | xkappa,
|  | const cs_real_t *const | cstlog,
|  | const cs_real_t *const | cmu025,
|  | const cs_real_t *const | ypluli,
|  | const cs_real_t *const | apow,
|  | const cs_real_t *const | bpow,
|  | const cs_real_t *const | dpow,
|  | const cs_real_t *const | l_visc,
|  | const cs_real_t *const | t_visc,
|  | const cs_real_t *const | vel,
|  | const cs_real_t *const | y,
|  | const cs_real_t *const | kinetic_en,
|  | cs_int_t * | iuntur,
|  | cs_int_t * | nsubla,
|  | cs_int_t * | nlogla,
|  | cs_real_t * | ustar,
|  | cs_real_t * | uk,
|  | cs_real_t * | yplus,
|  | cs_real_t * | ypup,
|  | cs_real_t * | cofimp,
|  | cs_real_t * | dplus
| ) |  |